/*
 * FreeRTOS Bananapi M3 port
 * (c) 2020 Dr.-Ing. Ingo D. Rullhusen <d01c@freeshell.de>
 *
 * BPI M3 port is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * BPI M3 port is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FreeRTOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "blink_task.h"

#include "partest.h"

portTASK_FUNCTION( BlinkTaskFunction, pvParameters )
{
   static TickType_t interval_t = 0;
   BlinkTaskParameter *param = (BlinkTaskParameter*)pvParameters;

   param->lastStart = xTaskGetTickCount();

   for( ; ; )
   {
      param->state = ( param->state ? pdFALSE : pdTRUE );
      vParTestSetLED( param->uxLED, ( param->state ? 1 : 0 ) );

      interval_t = param->interval;

      vTaskDelayUntil( &param->lastStart, interval_t );
      param->lastStart = xTaskGetTickCount(); /* wakeable */
   }

   vTaskDelete( NULL );
}

