/*
 * FreeRTOS Bananapi M3 port
 * syscalls for newlib
 *
 * (c) 2020 Dr.-Ing. Ingo D. Rullhusen <d01c@freeshell.de>
 *
 * BPI M3 port is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * BPI M3 port is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FreeRTOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include "FreeRTOS.h"

#include <sys/unistd.h>
#include <sys/stat.h>

void _exit( int status ) __attribute ((noreturn));

void *_sbrk ( ptrdiff_t delta );

int _read( int file, char *data, int len );

int _write( int file, char *data, int len );

int _close( int file );

int _lseek( int file, int ptr, int dir );

int _kill( int pid, int sig );

int _getpid( void );

int _fstat( int file, struct stat *st );

int _isatty( int file );

