#
# mkimage -C none -A arm -T script -d boot.cmd boot.scr
#
gpio clear AXP0-0; # green
gpio set   AXP0-1; # blue
#
setenv bootenv /boot/uEnv.txt;
setenv env_addr 0x44000000;
if ext4load mmc 0 ${env_addr} ${bootenv}; then
   echo Loaded u-boot environment from ${bootenv};
   env import -t ${env_addr} ${filesize};
else
   echo Loading u-boot environment ${bootenv} failed!;
   exit;
fi;
#
setenv fdt_addr 0x43000000
if ext4load mmc 0 ${fdt_addr} ${fdtfile}; then
   echo Loaded device tree from ${fdtfile};
else
   echo Loading device tree from ${fdtfile} failed!;
   exit;
fi;
#
setenv kernel_addr 0x42000000;
if ext4load mmc 0 ${kernel_addr} ${kernel}; then
   echo Loaded kernel from ${kernel};
else
   echo Loading kernel ${kernel} failed!;
   exit;
fi;
#
setenv linux_bootargs console=ttyS0,115200 root=/dev/mmcblk0p1 rootfstype=ext4 ${kernel_args};
#
gpio set AXP0-0; # green
gpio set AXP0-1; # blue
#
#
setenv bootmenu_0 "Boot Linux=setenv bootargs ${linux_bootargs}; bootz ${kernel_addr} - ${fdt_addr}";
setenv bootmenu_1 "Boot RTOS/net=tftpboot rtosdemo.elf; bootelf";
setenv bootmenu_2 "Power Off=poweroff";
#
#
#
bootmenu 30;
#
#
#
